<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Users/Linus/Documents/HiWi/SVT/MeLOn/myMeLOn/feedforward neural network/training/matlab/Write ANN to files/sNetwork2CSV.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('s_network2_c_s_v_8m.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">sNetwork2CSV.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3bcbb425c76d3f344ae35669bb742abb"><td class="memItemLeft" align="right" valign="top">net&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a> ()</td></tr>
<tr class="separator:a3bcbb425c76d3f344ae35669bb742abb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41acc3dd2d52dde22aa2b852a2e51e32"><td class="memItemLeft" align="right" valign="top"><a class="el" href="s_network2_c_s_v_8m.html#aea817658eb193861e7d5ae6248043180">if</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a41acc3dd2d52dde22aa2b852a2e51e32">~isa</a> (net, 'network') <a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#a693a67e6080175a20ef6a9050c2f74c3">error</a>('Input must be a network') end final Dir</td></tr>
<tr class="separator:a41acc3dd2d52dde22aa2b852a2e51e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea817658eb193861e7d5ae6248043180"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#aea817658eb193861e7d5ae6248043180">if</a> (~exist([finalDir, <a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>], 'dir')) mkdir([finalDir</td></tr>
<tr class="separator:aea817658eb193861e7d5ae6248043180"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f67e3739e12212241c4f514d758b585"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a2f67e3739e12212241c4f514d758b585">fprintf</a> (<a class="el" href="s_network2_c_s_v_8m.html#a6527e066c294e25dd315e4121bb805eb">configFile</a>, strcat(int2str(net.numLayers),'\<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aeef5b552be28512bc443110c6907560c">n</a>'))</td></tr>
<tr class="separator:a2f67e3739e12212241c4f514d758b585"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac06d577562f1e8e2ca31ca82e4f60fd0"><td class="memItemLeft" align="right" valign="top">end end&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#ac06d577562f1e8e2ca31ca82e4f60fd0">fprintf</a> (<a class="el" href="s_network2_c_s_v_8m.html#a6527e066c294e25dd315e4121bb805eb">configFile</a>,'\<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aeef5b552be28512bc443110c6907560c">n</a>')</td></tr>
<tr class="separator:ac06d577562f1e8e2ca31ca82e4f60fd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1160e3f66eab3bfaf4ecbf7260a6d382"><td class="memItemLeft" align="right" valign="top">end&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a1160e3f66eab3bfaf4ecbf7260a6d382">fclose</a> (<a class="el" href="s_network2_c_s_v_8m.html#a6527e066c294e25dd315e4121bb805eb">configFile</a>)</td></tr>
<tr class="separator:a1160e3f66eab3bfaf4ecbf7260a6d382"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39b256121f840002b32aa1b763572b90"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write___g_p__to__json_8m.html#a1a5379626f6519b1626116d28333b64c">inputLowerBound</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a39b256121f840002b32aa1b763572b90">dlmwrite</a> (<a class="el" href="s_network2_c_s_v_8m.html#a95476f7dc402135c89d4cd95cc579d6a">boundsFileName</a>, <a class="el" href="_write___g_p__to__json_8m.html#a1a5379626f6519b1626116d28333b64c">inputLowerBound</a>, 'delimiter', ',', 'precision', <a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>)</td></tr>
<tr class="separator:a39b256121f840002b32aa1b763572b90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1922fe132af5e2be1f5be3f23d6a2257"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write___g_p__to__json_8m.html#a9a137ae1074c8416fb836ea95a4136f6">inputUpperBound</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a1922fe132af5e2be1f5be3f23d6a2257">dlmwrite</a> (<a class="el" href="s_network2_c_s_v_8m.html#a95476f7dc402135c89d4cd95cc579d6a">boundsFileName</a>, <a class="el" href="_write___g_p__to__json_8m.html#a9a137ae1074c8416fb836ea95a4136f6">inputUpperBound</a>,'-append', 'delimiter', ',', 'precision', <a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>)</td></tr>
<tr class="separator:a1922fe132af5e2be1f5be3f23d6a2257"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32b7d696d98cd15ecb50bb600be57040"><td class="memItemLeft" align="right" valign="top"><a class="el" href="s_network2_c_s_v_8m.html#a5b93b81a3b9760ee2b4cdeefb75cc8e7">outputLowerBound</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a32b7d696d98cd15ecb50bb600be57040">dlmwrite</a> (<a class="el" href="s_network2_c_s_v_8m.html#a95476f7dc402135c89d4cd95cc579d6a">boundsFileName</a>, <a class="el" href="s_network2_c_s_v_8m.html#a5b93b81a3b9760ee2b4cdeefb75cc8e7">outputLowerBound</a>,'-append', 'delimiter', ',', 'precision', <a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>)</td></tr>
<tr class="separator:a32b7d696d98cd15ecb50bb600be57040"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dc8abaa9fadd3dca3a9094b64d45d86"><td class="memItemLeft" align="right" valign="top"><a class="el" href="s_network2_c_s_v_8m.html#afa7fe12a38b303287d4882c3b3dbce38">outputUpperBound</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a7dc8abaa9fadd3dca3a9094b64d45d86">dlmwrite</a> (<a class="el" href="s_network2_c_s_v_8m.html#a95476f7dc402135c89d4cd95cc579d6a">boundsFileName</a>, <a class="el" href="s_network2_c_s_v_8m.html#afa7fe12a38b303287d4882c3b3dbce38">outputUpperBound</a>,'-append', 'delimiter', ',', 'precision', <a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>)</td></tr>
<tr class="separator:a7dc8abaa9fadd3dca3a9094b64d45d86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9b3d72a124ab45404a701d0807a91da"><td class="memItemLeft" align="right" valign="top">biasWeight&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#af9b3d72a124ab45404a701d0807a91da">dlmwrite</a> (<a class="el" href="s_network2_c_s_v_8m.html#a0653d43637a0a124166aec20ad7a0cd5">bWFileName</a>,[], 'delimiter', ',', 'precision', <a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>)</td></tr>
<tr class="separator:af9b3d72a124ab45404a701d0807a91da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad714373e17e861a4657e863e4aa26daa"><td class="memItemLeft" align="right" valign="top">end inputWeight&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#ad714373e17e861a4657e863e4aa26daa">dlmwrite</a> (<a class="el" href="s_network2_c_s_v_8m.html#a930fbdb9f718e885d1f8f0e0d692c777">iWFileName</a>,[], 'delimiter', ',', 'precision', <a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>)</td></tr>
<tr class="separator:ad714373e17e861a4657e863e4aa26daa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59a6ebc2eafca83b3fb11894c5beff07"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a59a6ebc2eafca83b3fb11894c5beff07">dlmwrite</a> (<a class="el" href="s_network2_c_s_v_8m.html#a930fbdb9f718e885d1f8f0e0d692c777">iWFileName</a>, net.IW{<a class="el" href="_write___g_p__to__xml_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>, <a class="el" href="_write___g_p__to__xml_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>},'-append', 'delimiter', ',', 'precision', <a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>)</td></tr>
<tr class="separator:a59a6ebc2eafca83b3fb11894c5beff07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ec8ae7b673c5d85f359bbd7e74ef1fe"><td class="memItemLeft" align="right" valign="top">end end layerWeight&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a4ec8ae7b673c5d85f359bbd7e74ef1fe">dlmwrite</a> (<a class="el" href="s_network2_c_s_v_8m.html#abd9478b6575e9b83a5547c463b5b7435">lWFileName</a>,[], 'delimiter', ',', 'precision', <a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>)</td></tr>
<tr class="separator:a4ec8ae7b673c5d85f359bbd7e74ef1fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c0574d48547c3f547c8569d9baef24e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a8c0574d48547c3f547c8569d9baef24e">dlmwrite</a> (<a class="el" href="s_network2_c_s_v_8m.html#abd9478b6575e9b83a5547c463b5b7435">lWFileName</a>, net.LW{<a class="el" href="_write___g_p__to__xml_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>, <a class="el" href="_write___g_p__to__xml_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>},'-append', 'delimiter', ',', 'precision', <a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>)</td></tr>
<tr class="separator:a8c0574d48547c3f547c8569d9baef24e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ac504ce2a51c1128abdf414d57fe9fe40"><td class="memItemLeft" align="right" valign="top">net&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">name</a></td></tr>
<tr class="separator:ac504ce2a51c1128abdf414d57fe9fe40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a5379626f6519b1626116d28333b64c"><td class="memItemLeft" align="right" valign="top">end&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a1a5379626f6519b1626116d28333b64c">inputLowerBound</a> = net.input.range(:,1)'</td></tr>
<tr class="separator:a1a5379626f6519b1626116d28333b64c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a137ae1074c8416fb836ea95a4136f6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a9a137ae1074c8416fb836ea95a4136f6">inputUpperBound</a> = net.input.range(:,2)'</td></tr>
<tr class="separator:a9a137ae1074c8416fb836ea95a4136f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b93b81a3b9760ee2b4cdeefb75cc8e7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a5b93b81a3b9760ee2b4cdeefb75cc8e7">outputLowerBound</a> = net.output.range(:,1)</td></tr>
<tr class="separator:a5b93b81a3b9760ee2b4cdeefb75cc8e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa7fe12a38b303287d4882c3b3dbce38"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#afa7fe12a38b303287d4882c3b3dbce38">outputUpperBound</a> = net.output.range(:,2)</td></tr>
<tr class="separator:afa7fe12a38b303287d4882c3b3dbce38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a131481e9558a96c0a53431f852fade3c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a131481e9558a96c0a53431f852fade3c">configFileName</a> = strcat(finalDir,<a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>,'/' , <a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>, '_config.csv')</td></tr>
<tr class="separator:a131481e9558a96c0a53431f852fade3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95476f7dc402135c89d4cd95cc579d6a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a95476f7dc402135c89d4cd95cc579d6a">boundsFileName</a> = strcat(finalDir,<a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>,'/' , <a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>, '_bounds.csv')</td></tr>
<tr class="separator:a95476f7dc402135c89d4cd95cc579d6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0653d43637a0a124166aec20ad7a0cd5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a0653d43637a0a124166aec20ad7a0cd5">bWFileName</a> = strcat(finalDir,<a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>,'/' , <a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>, '_BW.csv')</td></tr>
<tr class="separator:a0653d43637a0a124166aec20ad7a0cd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a930fbdb9f718e885d1f8f0e0d692c777"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a930fbdb9f718e885d1f8f0e0d692c777">iWFileName</a> = strcat(finalDir,<a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>,'/' , <a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>, '_IW.csv')</td></tr>
<tr class="separator:a930fbdb9f718e885d1f8f0e0d692c777"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd9478b6575e9b83a5547c463b5b7435"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#abd9478b6575e9b83a5547c463b5b7435">lWFileName</a> = strcat(finalDir,<a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>,'/' , <a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>, '_LW.csv')</td></tr>
<tr class="separator:abd9478b6575e9b83a5547c463b5b7435"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6527e066c294e25dd315e4121bb805eb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a6527e066c294e25dd315e4121bb805eb">configFile</a> = fopen(<a class="el" href="s_network2_c_s_v_8m.html#a131481e9558a96c0a53431f852fade3c">configFileName</a>, 'w')</td></tr>
<tr class="separator:a6527e066c294e25dd315e4121bb805eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f6ccfcf58b31cb6412107d9d5281426"><td class="memItemLeft" align="right" valign="top">for&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="s_network2_c_s_v_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a></td></tr>
<tr class="separator:a6f6ccfcf58b31cb6412107d9d5281426"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a39b256121f840002b32aa1b763572b90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39b256121f840002b32aa1b763572b90">&#9670;&nbsp;</a></span>dlmwrite() <span class="overload">[1/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write___g_p__to__json_8m.html#a1a5379626f6519b1626116d28333b64c">inputLowerBound</a> dlmwrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a95476f7dc402135c89d4cd95cc579d6a">boundsFileName</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__json_8m.html#a1a5379626f6519b1626116d28333b64c">inputLowerBound</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'delimiter'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'precision'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1922fe132af5e2be1f5be3f23d6a2257"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1922fe132af5e2be1f5be3f23d6a2257">&#9670;&nbsp;</a></span>dlmwrite() <span class="overload">[2/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write___g_p__to__json_8m.html#a9a137ae1074c8416fb836ea95a4136f6">inputUpperBound</a> dlmwrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a95476f7dc402135c89d4cd95cc579d6a">boundsFileName</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_write___g_p__to__json_8m.html#a9a137ae1074c8416fb836ea95a4136f6">inputUpperBound</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'-append'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'delimiter'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'precision'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a32b7d696d98cd15ecb50bb600be57040"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32b7d696d98cd15ecb50bb600be57040">&#9670;&nbsp;</a></span>dlmwrite() <span class="overload">[3/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="s_network2_c_s_v_8m.html#a5b93b81a3b9760ee2b4cdeefb75cc8e7">outputLowerBound</a> dlmwrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a95476f7dc402135c89d4cd95cc579d6a">boundsFileName</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a5b93b81a3b9760ee2b4cdeefb75cc8e7">outputLowerBound</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'-append'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'delimiter'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'precision'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7dc8abaa9fadd3dca3a9094b64d45d86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dc8abaa9fadd3dca3a9094b64d45d86">&#9670;&nbsp;</a></span>dlmwrite() <span class="overload">[4/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="s_network2_c_s_v_8m.html#afa7fe12a38b303287d4882c3b3dbce38">outputUpperBound</a> dlmwrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a95476f7dc402135c89d4cd95cc579d6a">boundsFileName</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#afa7fe12a38b303287d4882c3b3dbce38">outputUpperBound</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'-append'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'delimiter'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'precision'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af9b3d72a124ab45404a701d0807a91da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9b3d72a124ab45404a701d0807a91da">&#9670;&nbsp;</a></span>dlmwrite() <span class="overload">[5/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">biasWeight dlmwrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a0653d43637a0a124166aec20ad7a0cd5">bWFileName</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'delimiter'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'precision'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a59a6ebc2eafca83b3fb11894c5beff07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59a6ebc2eafca83b3fb11894c5beff07">&#9670;&nbsp;</a></span>dlmwrite() <span class="overload">[6/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dlmwrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a930fbdb9f718e885d1f8f0e0d692c777">iWFileName</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">net.IW{<a class="el" href="_write___g_p__to__xml_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>, <a class="el" href="_write___g_p__to__xml_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>}&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'-append'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'delimiter'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'precision'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad714373e17e861a4657e863e4aa26daa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad714373e17e861a4657e863e4aa26daa">&#9670;&nbsp;</a></span>dlmwrite() <span class="overload">[7/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">end inputWeight dlmwrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a930fbdb9f718e885d1f8f0e0d692c777">iWFileName</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'delimiter'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'precision'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8c0574d48547c3f547c8569d9baef24e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c0574d48547c3f547c8569d9baef24e">&#9670;&nbsp;</a></span>dlmwrite() <span class="overload">[8/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dlmwrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#abd9478b6575e9b83a5547c463b5b7435">lWFileName</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">net.LW{<a class="el" href="_write___g_p__to__xml_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>, <a class="el" href="_write___g_p__to__xml_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>}&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'-append'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'delimiter'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'precision'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4ec8ae7b673c5d85f359bbd7e74ef1fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ec8ae7b673c5d85f359bbd7e74ef1fe">&#9670;&nbsp;</a></span>dlmwrite() <span class="overload">[9/9]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">end end layerWeight dlmwrite </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#abd9478b6575e9b83a5547c463b5b7435">lWFileName</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'delimiter'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'precision'&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a3bcbb425c76d3f344ae35669bb742abb">precisionNumber</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1160e3f66eab3bfaf4ecbf7260a6d382"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1160e3f66eab3bfaf4ecbf7260a6d382">&#9670;&nbsp;</a></span>fclose()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">end fclose </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a6527e066c294e25dd315e4121bb805eb">configFile</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f67e3739e12212241c4f514d758b585"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f67e3739e12212241c4f514d758b585">&#9670;&nbsp;</a></span>fprintf() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fprintf </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a6527e066c294e25dd315e4121bb805eb">configFile</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">strcat(int2str(net.numLayers),'\<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aeef5b552be28512bc443110c6907560c">n</a>')&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac06d577562f1e8e2ca31ca82e4f60fd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac06d577562f1e8e2ca31ca82e4f60fd0">&#9670;&nbsp;</a></span>fprintf() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">end fprintf </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="s_network2_c_s_v_8m.html#a6527e066c294e25dd315e4121bb805eb">configFile</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'\<a class="el" href="_train___g_p__and__return__hyperparameters_8m.html#aeef5b552be28512bc443110c6907560c">n</a>'&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aea817658eb193861e7d5ae6248043180"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea817658eb193861e7d5ae6248043180">&#9670;&nbsp;</a></span>if()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">if </td>
          <td>(</td>
          <td class="paramtype">~&#160;</td>
          <td class="paramname"><em>exist</em>[finalDir, net.name], 'dir'</td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3bcbb425c76d3f344ae35669bb742abb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bcbb425c76d3f344ae35669bb742abb">&#9670;&nbsp;</a></span>precisionNumber()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">net precisionNumber </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a41acc3dd2d52dde22aa2b852a2e51e32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41acc3dd2d52dde22aa2b852a2e51e32">&#9670;&nbsp;</a></span>~isa()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="s_network2_c_s_v_8m.html#aea817658eb193861e7d5ae6248043180">if</a> ~isa </td>
          <td>(</td>
          <td class="paramtype">net&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">'network'&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a95476f7dc402135c89d4cd95cc579d6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95476f7dc402135c89d4cd95cc579d6a">&#9670;&nbsp;</a></span>boundsFileName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">boundsFileName = strcat(finalDir,<a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>,'/' , <a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>, '_bounds.csv')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0653d43637a0a124166aec20ad7a0cd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0653d43637a0a124166aec20ad7a0cd5">&#9670;&nbsp;</a></span>bWFileName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bWFileName = strcat(finalDir,<a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>,'/' , <a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>, '_BW.csv')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6527e066c294e25dd315e4121bb805eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6527e066c294e25dd315e4121bb805eb">&#9670;&nbsp;</a></span>configFile</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">configFile = fopen(<a class="el" href="s_network2_c_s_v_8m.html#a131481e9558a96c0a53431f852fade3c">configFileName</a>, 'w')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a131481e9558a96c0a53431f852fade3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a131481e9558a96c0a53431f852fade3c">&#9670;&nbsp;</a></span>configFileName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">configFileName = strcat(finalDir,<a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>,'/' , <a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>, '_config.csv')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6f6ccfcf58b31cb6412107d9d5281426"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f6ccfcf58b31cb6412107d9d5281426">&#9670;&nbsp;</a></span>i</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">for i</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=1:net.numLayers</div>
<div class="line">    <span class="keywordflow">for</span> <a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>=1:net.numInputs % currently only 1 input implemented1</div>
<div class="line">        <a class="code" href="s_network2_c_s_v_8m.html#a2f67e3739e12212241c4f514d758b585">fprintf</a>(<a class="code" href="s_network2_c_s_v_8m.html#a6527e066c294e25dd315e4121bb805eb">configFile</a>, strcat(int2str(net.inputConnect(<a class="code" href="s_network2_c_s_v_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a>,<a class="code" href="_train___g_p__and__return__hyperparameters_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a>)),<span class="charliteral">&#39;,&#39;</span>))</div>
</div><!-- fragment -->
</div>
</div>
<a id="a1a5379626f6519b1626116d28333b64c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a5379626f6519b1626116d28333b64c">&#9670;&nbsp;</a></span>inputLowerBound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> inputLowerBound = net.input.range(:,1)'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9a137ae1074c8416fb836ea95a4136f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a137ae1074c8416fb836ea95a4136f6">&#9670;&nbsp;</a></span>inputUpperBound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a> inputUpperBound = net.input.range(:,2)'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a930fbdb9f718e885d1f8f0e0d692c777"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a930fbdb9f718e885d1f8f0e0d692c777">&#9670;&nbsp;</a></span>iWFileName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">iWFileName = strcat(finalDir,<a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>,'/' , <a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>, '_IW.csv')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abd9478b6575e9b83a5547c463b5b7435"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd9478b6575e9b83a5547c463b5b7435">&#9670;&nbsp;</a></span>lWFileName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">lWFileName = strcat(finalDir,<a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>,'/' , <a class="el" href="s_network2_c_s_v_8m.html#ac504ce2a51c1128abdf414d57fe9fe40">net.name</a>, '_LW.csv')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac504ce2a51c1128abdf414d57fe9fe40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac504ce2a51c1128abdf414d57fe9fe40">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">net name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b93b81a3b9760ee2b4cdeefb75cc8e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b93b81a3b9760ee2b4cdeefb75cc8e7">&#9670;&nbsp;</a></span>outputLowerBound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">outputLowerBound = net.output.range(:,1)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afa7fe12a38b303287d4882c3b3dbce38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa7fe12a38b303287d4882c3b3dbce38">&#9670;&nbsp;</a></span>outputUpperBound</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">outputUpperBound = net.output.range(:,2)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="as_network2_c_s_v_8m_html_a2f67e3739e12212241c4f514d758b585"><div class="ttname"><a href="s_network2_c_s_v_8m.html#a2f67e3739e12212241c4f514d758b585">fprintf</a></div><div class="ttdeci">fprintf(configFile, strcat(int2str(net.numLayers),'\n'))</div></div>
<div class="ttc" id="as_network2_c_s_v_8m_html_a6527e066c294e25dd315e4121bb805eb"><div class="ttname"><a href="s_network2_c_s_v_8m.html#a6527e066c294e25dd315e4121bb805eb">configFile</a></div><div class="ttdeci">configFile</div><div class="ttdef"><b>Definition:</b> sNetwork2CSV.m:43</div></div>
<div class="ttc" id="as_network2_c_s_v_8m_html_a6f6ccfcf58b31cb6412107d9d5281426"><div class="ttname"><a href="s_network2_c_s_v_8m.html#a6f6ccfcf58b31cb6412107d9d5281426">i</a></div><div class="ttdeci">for i</div><div class="ttdef"><b>Definition:</b> sNetwork2CSV.m:49</div></div>
<div class="ttc" id="a_train___g_p__and__return__hyperparameters_8m_html_ac86694252f8dfdb19aaeadc4b7c342c6"><div class="ttname"><a href="_train___g_p__and__return__hyperparameters_8m.html#ac86694252f8dfdb19aaeadc4b7c342c6">j</a></div><div class="ttdeci">Training of GP for j</div><div class="ttdef"><b>Definition:</b> Train_GP_and_return_hyperparameters.m:24</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_2153465d1994426effb356c466256250.html">feedforward neural network</a></li><li class="navelem"><a class="el" href="dir_54ff30f75ea43d49e198e5be16e8be47.html">training</a></li><li class="navelem"><a class="el" href="dir_5a78266ba1e01978249d31d6317c13f2.html">matlab</a></li><li class="navelem"><a class="el" href="dir_68b5282a9c4f0d78a9ddcf4c1bbd53b8.html">Write ANN to files</a></li><li class="navelem"><a class="el" href="s_network2_c_s_v_8m.html">sNetwork2CSV.m</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
